Subject: 24.4; Rendering misallocates combining marks on ligatures

From: Richard Wordingham <[email-masked]>
Date: Mon, 23 Mar 2015 01:06:26 +0000

When a ligature of two base characters has two combining marks on the
first component but none on the second, the second combining mark is
rendered as though it applied to the second component. A good example
is the Arabic sequence لَّا (lam, shadda, fatha, alef - <U+0644, U+0651,
U+064E, U+0627), where the shadda is rendered on the lam part of
lam-alif ligature and the fatha on the alif part.  This problem is not
restricted to right-to-left scripts; I encountered the problem when
debugging left-to-right rendering.  Lam-alif is one of the most
reliably generated ligatures bearing marks on different components.